org.eclipse.incquery.viewmodel.traceability.patterns.util

## Class Trace2objectProcessor

- java.lang.Object
- - org.eclipse.incquery.viewmodel.traceability.patterns.util.Trace2objectProcessor

- All Implemented Interfaces:
    IMatchProcessor<Trace2objectMatch>

      public abstract class Trace2objectProcessor
      extends java.lang.Object
      implements IMatchProcessor<Trace2objectMatch>

  A match processor tailored for the org.eclipse.incquery.viewmodel.traceability.patterns.trace2object pattern. Clients should derive an (anonymous) class that implements the abstract process().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trace2objectProcessor()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `process(java.lang.Object pParam, Trace pTrace, java.lang.String pId)` Defines the action that is to be executed on each match.
    `void` | `process(Trace2objectMatch match)` Defines the action that is to be executed on each match.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Trace2objectProcessor

          public Trace2objectProcessor()

  - ### Method Detail

    - #### process

          public abstract void process(java.lang.Object pParam,
                                       Trace pTrace,
                                       java.lang.String pId)

      Defines the action that is to be executed on each match.
      Parameters:
        `pParam` - the value of pattern parameter param in the currently processed match
        `pTrace` - the value of pattern parameter trace in the currently processed match
        `pId` - the value of pattern parameter id in the currently processed match

    - #### process

          public void process(Trace2objectMatch match)

      Description copied from interface: `IMatchProcessor`
      Defines the action that is to be executed on each match.
      Specified by:
        `process` in interface `IMatchProcessor<Trace2objectMatch>`
      Parameters:
        `match` - a single match of the pattern that must be processed by the implementation of this method